<?php
/**
 * Coppermine Photo Gallery
 *
 * Copyright (c) 2003-2006 Coppermine Dev Team
 * v1.1 originally written by Gregory DEMAR
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Coppermine version: 1.4.13
 * CAPTCHA Plugin
 * Based on Mod by Abbas ali(http://coppermine-gallery.net/forum/index.php?topic=29564.0)
 * Plugin Writen by bmossavari at gmail dot com
 */

define("IN_COPPERMINE", true);
include('include/captcha.class.php');

/**
 * Fonts to create the captch image
 */
// start by muu
//$aFonts = array('plugins/captcha/fonts/acidic.ttf', 'plugins/captcha/fonts/hurryup.ttf'); // by muu
$aFonts = array();

$fontdir = "fonts/";
if ($handle = opendir($fontdir))
{
    while (false !== ($file = readdir($handle)))
        if ($file != "." && $file != "..")
            $aFonts[] = $fontdir.$file;
    closedir($handle);
}
// end by muu

// create new image
$oPhpCaptcha = new PhpCaptcha(
    $aFonts, // array of TrueType fonts to use
    300, // width of image // by muu
    35, // height of image // by muu
    rand(4,6), // number of characters to draw // by muu
    20, // number of noise lines to draw // by muu
    false, // add shadow to generated characters to further obscure code
    $sOwnerText = '', // add owner text to bottom of CAPTCHA, usually your site address // by muu
    $aCharSet = array(), // array of characters to select from - if blank uses upper case A - Z
    $sBackgroundImage = '' // background image to use - if blank creates image with white background // by muu
    );
$code = $oPhpCaptcha->Create();


?>
